WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core22
2411
usr
bin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-02-25 04:03:09
-
[
File
50.44 KB
0755
2024-02-08 03:46:39
aa-enabled
File
34.52 KB
0755
2025-08-15 12:17:13
aa-exec
File
34.52 KB
0755
2025-08-15 12:17:13
aa-features-abi
File
30.52 KB
0755
2025-08-15 12:17:13
addpart
File
14.38 KB
0755
2024-04-09 15:32:56
arch
File
30.51 KB
0755
2024-02-08 03:46:39
awk
File
154.79 KB
0755
2022-01-23 21:57:23
b2sum
File
50.52 KB
0755
2024-02-08 03:46:39
base32
File
34.51 KB
0755
2024-02-08 03:46:39
base64
File
34.51 KB
0755
2024-02-08 03:46:39
basename
File
34.51 KB
0755
2024-02-08 03:46:39
basenc
File
46.51 KB
0755
2024-02-08 03:46:39
bash
File
1.33 MB
0755
2024-03-14 11:31:47
bashbug
File
6.66 KB
0755
2024-03-14 11:31:47
bootctl
File
70.49 KB
0755
2025-08-26 15:23:06
bunzip2
File
38.38 KB
0755
2022-03-23 09:45:10
busctl
File
90.49 KB
0755
2025-08-26 15:23:06
bzcat
File
38.38 KB
0755
2022-03-23 09:45:10
bzcmp
File
2.17 KB
0755
2022-03-23 09:45:10
bzdiff
File
2.17 KB
0755
2022-03-23 09:45:10
bzegrep
File
3.69 KB
0755
2022-03-23 09:45:10
bzexe
File
4.78 KB
0755
2021-11-27 12:25:05
bzfgrep
File
3.69 KB
0755
2022-03-23 09:45:10
bzgrep
File
3.69 KB
0755
2022-03-23 09:45:10
bzip2
File
38.38 KB
0755
2022-03-23 09:45:10
bzip2recover
File
14.3 KB
0755
2022-03-23 09:45:10
bzless
File
1.27 KB
0755
2022-03-23 09:45:10
bzmore
File
1.27 KB
0755
2022-03-23 09:45:10
c_rehash
File
6.8 KB
0755
2026-01-26 12:32:08
captoinfo
File
86.41 KB
0755
2023-05-16 18:45:27
cat
File
34.46 KB
0755
2024-02-08 03:46:39
chage
File
70.49 KB
2755
2024-02-06 12:54:23
chardet
File
965 B
0755
2020-12-30 16:42:51
chardetect
File
965 B
0755
2020-12-30 16:42:51
chattr
File
14.31 KB
0755
2023-10-09 01:50:10
chcon
File
58.51 KB
0755
2024-02-08 03:46:39
chfn
File
71.01 KB
4755
2024-02-06 12:54:23
chgrp
File
54.51 KB
0755
2024-02-08 03:46:39
chmod
File
54.51 KB
0755
2024-02-08 03:46:39
choom
File
22.38 KB
0755
2024-04-09 15:32:56
chown
File
58.51 KB
0755
2024-02-08 03:46:39
chrt
File
26.38 KB
0755
2024-04-09 15:32:56
chsh
File
43.76 KB
4755
2024-02-06 12:54:23
cksum
File
34.41 KB
0755
2024-02-08 03:46:39
clear
File
14.31 KB
0755
2023-05-16 18:45:27
clear_console
File
14.23 KB
0755
2024-03-14 11:31:47
cloud-id
File
966 B
0755
2025-11-15 18:11:25
cloud-init
File
970 B
0755
2025-11-15 18:11:25
cloud-init-per
File
2.06 KB
0755
2025-09-26 11:09:55
cmp
File
42.39 KB
0755
2022-03-23 13:50:34
comm
File
34.52 KB
0755
2024-02-08 03:46:39
console-conf
File
982 B
0755
2020-04-20 14:31:39
core-sshd-host-keygen
File
1.49 KB
0755
2026-02-25 03:57:36
cp
File
138.51 KB
0755
2024-02-08 03:46:39
csplit
File
106.51 KB
0755
2024-02-08 03:46:39
ctstat
File
22.66 KB
0755
2022-03-24 11:56:47
cut
File
38.51 KB
0755
2024-02-08 03:46:39
cvtsudoers
File
296.4 KB
0755
2025-06-25 12:48:23
dash
File
122.74 KB
0755
2022-03-23 13:49:23
date
File
102.51 KB
0755
2024-02-08 03:46:39
dbus-cleanup-sockets
File
14.29 KB
0755
2022-10-25 13:15:07
dbus-daemon
File
227.32 KB
0755
2022-10-25 13:15:07
dbus-monitor
File
26.29 KB
0755
2022-10-25 13:15:07
dbus-run-session
File
14.29 KB
0755
2022-10-25 13:15:07
dbus-send
File
26.29 KB
0755
2022-10-25 13:15:07
dbus-update-activation-environment
File
14.29 KB
0755
2022-10-25 13:15:07
dbus-uuidgen
File
14.29 KB
0755
2022-10-25 13:15:07
dd
File
66.52 KB
0755
2024-02-08 03:46:39
delpart
File
14.38 KB
0755
2024-04-09 15:32:56
df
File
83.08 KB
0755
2024-02-08 03:46:39
dh_bash-completion
File
4.31 KB
0755
2021-11-11 15:41:52
diff
File
130.55 KB
0755
2022-03-23 13:50:34
diff3
File
54.52 KB
0755
2022-03-23 13:50:34
dir
File
134.98 KB
0755
2024-02-08 03:46:39
dircolors
File
38.52 KB
0755
2024-02-08 03:46:39
dirname
File
30.38 KB
0755
2024-02-08 03:46:39
dmesg
File
70.61 KB
0755
2024-04-09 15:32:56
dnsdomainname
File
22.23 KB
0755
2022-03-23 13:57:59
domainname
File
22.23 KB
0755
2022-03-23 13:57:59
dpkg-deb
File
134.49 KB
0755
2025-09-09 20:09:16
dpkg-realpath
File
4.09 KB
0755
2025-09-09 20:09:16
du
File
146.51 KB
0755
2024-02-08 03:46:39
ec2metadata
File
8.38 KB
0755
2021-08-05 09:58:37
echo
File
34.3 KB
0755
2024-02-08 03:46:39
editor
File
1.45 MB
0755
2025-04-02 12:39:01
egrep
File
28 B
0755
2022-03-23 13:56:13
env
File
42.95 KB
0755
2024-02-08 03:46:39
ex
File
1.45 MB
0755
2025-04-02 12:39:01
expand
File
34.53 KB
0755
2024-02-08 03:46:39
expiry
File
22.59 KB
2755
2024-02-06 12:54:23
expr
File
102.41 KB
0755
2024-02-08 03:46:39
factor
File
70.51 KB
0755
2024-02-08 03:46:39
faillog
File
22.59 KB
0755
2024-02-06 12:54:23
fallocate
File
22.38 KB
0755
2024-04-09 15:32:56
false
File
26.3 KB
0755
2024-02-08 03:46:39
fgrep
File
28 B
0755
2022-03-23 13:56:13
finalrd
File
2.06 KB
0755
2022-02-16 16:56:26
fincore
File
22.42 KB
0755
2024-04-09 15:32:56
find
File
275.48 KB
0755
2022-03-23 13:52:12
findmnt
File
63.61 KB
0755
2024-04-09 15:32:56
flock
File
22.48 KB
0755
2024-04-09 15:32:56
fmt
File
38.51 KB
0755
2024-02-08 03:46:39
fold
File
34.51 KB
0755
2024-02-08 03:46:39
free
File
26.23 KB
0755
2023-10-31 11:36:04
gdbserver
File
564.73 KB
0755
2024-06-13 01:58:36
getconf
File
34.29 KB
0755
2026-01-30 08:20:56
getent
File
38.65 KB
0755
2026-01-30 08:20:56
getopt
File
22.38 KB
0755
2024-04-09 15:32:56
gpasswd
File
70.38 KB
4755
2024-02-06 12:54:23
gpgv
File
271.04 KB
0755
2026-01-05 22:14:39
grep
File
178.45 KB
0755
2022-03-23 13:56:13
groups
File
34.51 KB
0755
2024-02-08 03:46:39
growpart
File
26.22 KB
0755
2021-08-05 09:58:37
gunzip
File
2.29 KB
0755
2022-09-05 13:33:59
gzexe
File
6.3 KB
0755
2022-09-05 13:33:59
gzip
File
91.23 KB
0755
2022-09-05 13:33:59
hardlink
File
34.43 KB
0755
2024-04-09 15:32:56
head
File
42.51 KB
0755
2024-02-08 03:46:39
helpztags
File
2.46 KB
0755
2024-08-27 05:29:41
hostid
File
30.51 KB
0755
2024-02-08 03:46:39
hostname
File
22.23 KB
0755
2022-03-23 13:57:59
hostnamectl
File
30.38 KB
0755
2025-08-26 15:23:06
i386
File
26.65 KB
0755
2024-04-09 15:32:56
iconv
File
66.41 KB
0755
2026-01-30 08:20:56
id
File
38.51 KB
0755
2024-02-08 03:46:39
infocmp
File
62.38 KB
0755
2023-05-16 18:45:27
infotocap
File
86.41 KB
0755
2023-05-16 18:45:27
install
File
142.52 KB
0755
2024-02-08 03:46:39
ionice
File
18.38 KB
0755
2024-04-09 15:32:56
ip
File
702.05 KB
0755
2022-03-24 11:56:47
ipcmk
File
22.45 KB
0755
2024-04-09 15:32:56
ipcrm
File
18.38 KB
0755
2024-04-09 15:32:56
ipcs
File
38.38 KB
0755
2024-04-09 15:32:56
iptables-xml
File
96.95 KB
0755
2024-01-16 21:14:30
ischroot
File
14.2 KB
0755
2022-03-23 13:49:54
join
File
46.55 KB
0755
2024-02-08 03:46:39
journalctl
File
78.39 KB
0755
2025-08-26 15:23:06
json-patch-jsondiff
File
1004 B
0755
2021-09-29 10:31:04
jsondiff
File
1004 B
0755
2021-09-29 10:31:04
jsonpatch
File
3.77 KB
0755
2021-09-29 10:31:04
jsonpointer
File
1.79 KB
0755
2020-01-24 03:25:15
jsonschema
File
397 B
0755
2020-01-23 18:44:38
kernel-install
File
4.79 KB
0755
2022-03-11 12:48:49
kill
File
30.23 KB
0755
2023-10-31 11:36:04
kmod
File
166.36 KB
0755
2021-08-17 09:19:53
kmodsign
File
18.45 KB
0755
2021-11-05 17:32:24
last
File
34.38 KB
0755
2024-04-09 15:32:56
lastb
File
34.38 KB
0755
2024-04-09 15:32:56
lastlog
File
27.63 KB
0755
2024-02-06 12:54:23
lcf
File
7.6 KB
0755
2020-06-16 05:37:53
ldd
File
5.32 KB
0755
2026-01-30 08:20:56
less
File
194.38 KB
0755
2024-04-27 20:32:45
lessecho
File
14.31 KB
0755
2024-04-27 20:32:45
lessfile
File
8.83 KB
0755
2021-12-28 19:39:40
lesskey
File
23.7 KB
0755
2024-04-27 20:32:45
lesspipe
File
8.83 KB
0755
2021-12-28 19:39:40
link
File
30.51 KB
0755
2024-02-08 03:46:39
linux32
File
26.65 KB
0755
2024-04-09 15:32:56
linux64
File
26.65 KB
0755
2024-04-09 15:32:56
ln
File
58.51 KB
0755
2024-02-08 03:46:39
lnstat
File
22.66 KB
0755
2022-03-24 11:56:47
locale
File
57.56 KB
0755
2026-01-30 08:20:56
locale-check
File
14.15 KB
0755
2024-09-10 11:18:05
localectl
File
26.37 KB
0755
2025-08-26 15:23:06
localedef
File
326.96 KB
0755
2026-01-30 08:20:56
logger
File
34.97 KB
0755
2024-04-09 15:32:56
login
File
51.73 KB
0755
2024-02-06 12:54:23
loginctl
File
58.48 KB
0755
2025-08-26 15:23:06
logname
File
30.51 KB
0755
2024-02-08 03:46:39
ls
File
134.98 KB
0755
2024-02-08 03:46:39
lsattr
File
14.31 KB
0755
2023-10-09 01:50:10
lsblk
File
122.38 KB
0755
2024-04-09 15:32:56
lscpu
File
98.38 KB
0755
2024-04-09 15:32:56
lsipc
File
50.38 KB
0755
2024-04-09 15:32:56
lslocks
File
30.7 KB
0755
2024-04-09 15:32:56
lslogins
File
50.38 KB
0755
2024-04-09 15:32:56
lsmem
File
34.38 KB
0755
2024-04-09 15:32:56
lsmod
File
166.36 KB
0755
2021-08-17 09:19:53
lsns
File
38.38 KB
0755
2024-04-09 15:32:56
man
File
128 B
0755
2026-02-25 03:57:36
mawk
File
154.79 KB
0755
2022-01-23 21:57:23
mcookie
File
26.45 KB
0755
2024-04-09 15:32:56
md5sum
File
42.41 KB
0755
2024-02-08 03:46:39
md5sum.textutils
File
42.41 KB
0755
2024-02-08 03:46:39
mesg
File
14.38 KB
0755
2024-04-09 15:32:56
mkdir
File
66.51 KB
0755
2024-02-08 03:46:39
mkfifo
File
38.51 KB
0755
2024-02-08 03:46:39
mknod
File
42.51 KB
0755
2024-02-08 03:46:39
mksquashfs
File
254.68 KB
0755
2022-03-25 09:58:38
mkswapfile
File
865 B
0755
2026-02-25 03:57:36
mktemp
File
38.51 KB
0755
2024-02-08 03:46:39
more
File
42.38 KB
0755
2024-04-09 15:32:56
mount
File
46.38 KB
4755
2024-04-09 15:32:56
mountpoint
File
18.38 KB
0755
2024-04-09 15:32:56
mv
File
134.52 KB
0755
2024-02-08 03:46:39
namei
File
22.38 KB
0755
2024-04-09 15:32:56
nawk
File
154.79 KB
0755
2022-01-23 21:57:23
nc
File
38.63 KB
0755
2022-02-23 11:09:43
nc.openbsd
File
38.63 KB
0755
2022-02-23 11:09:43
netcat
File
38.63 KB
0755
2022-02-23 11:09:43
networkctl
File
102.38 KB
0755
2025-08-26 15:23:06
newgrp
File
39.55 KB
4755
2024-02-06 12:54:23
nice
File
34.51 KB
0755
2024-02-08 03:46:39
nisdomainname
File
22.23 KB
0755
2022-03-23 13:57:59
nl
File
98.57 KB
0755
2024-02-08 03:46:39
nohup
File
34.41 KB
0755
2024-02-08 03:46:39
nproc
File
34.51 KB
0755
2024-02-08 03:46:39
nsenter
File
26.6 KB
0755
2024-04-09 15:32:56
nstat
File
30.38 KB
0755
2022-03-24 11:56:47
numfmt
File
54.54 KB
0755
2024-02-08 03:46:39
od
File
66.51 KB
0755
2024-02-08 03:46:39
openssl
File
977.8 KB
0755
2026-01-26 12:32:08
p11-kit
File
30.38 KB
0755
2022-03-24 16:22:16
p11tool
File
218.38 KB
0755
2026-02-10 17:28:21
pager
File
194.38 KB
0755
2024-04-27 20:32:45
partx
File
58.38 KB
0755
2024-04-09 15:32:56
passwd
File
58.57 KB
4755
2024-02-06 12:54:23
paste
File
34.41 KB
0755
2024-02-08 03:46:39
pathchk
File
34.51 KB
0755
2024-02-08 03:46:39
pdb3
File
61.74 KB
0755
2026-01-26 14:55:28
pdb3.10
File
61.74 KB
0755
2026-01-26 14:55:28
perl
File
3.63 MB
0755
2025-07-25 17:26:40
perl5.34.0
File
3.63 MB
0755
2025-07-25 17:26:40
pgrep
File
30.24 KB
0755
2023-10-31 11:36:04
pidof
File
26.38 KB
0755
2020-02-13 18:38:21
pidwait
File
30.24 KB
0755
2023-10-31 11:36:04
ping
File
74.88 KB
0755
2025-07-24 11:51:44
ping4
File
74.88 KB
0755
2025-07-24 11:51:44
ping6
File
74.88 KB
0755
2025-07-24 11:51:44
pinky
File
34.41 KB
0755
2024-02-08 03:46:39
pkaction
File
18.3 KB
0755
2022-02-26 11:11:57
pkcheck
File
22.3 KB
0755
2022-02-26 11:11:57
pkcs11-tool
File
157.02 KB
0755
2025-05-12 12:47:51
pkill
File
30.24 KB
0755
2023-10-31 11:36:04
pkttyagent
File
18.3 KB
0755
2022-02-26 11:11:57
pldd
File
22.37 KB
0755
2026-01-30 08:20:56
plymouth
File
46.3 KB
0755
2023-01-03 09:56:53
pmap
File
34.24 KB
0755
2023-10-31 11:36:04
pr
File
66.58 KB
0755
2024-02-08 03:46:39
printenv
File
30.38 KB
0755
2024-02-08 03:46:39
printf
File
50.44 KB
0755
2024-02-08 03:46:39
prlimit
File
26.89 KB
0755
2024-04-09 15:32:56
ps
File
138.45 KB
0755
2023-10-31 11:36:04
ptx
File
126.55 KB
0755
2024-02-08 03:46:39
pwd
File
34.51 KB
0755
2024-02-08 03:46:39
pwdx
File
14.23 KB
0755
2023-10-31 11:36:04
py3clean
File
7.63 KB
0755
2024-08-08 12:28:21
py3compile
File
12.88 KB
0755
2024-08-08 12:28:21
py3versions
File
11.63 KB
0755
2024-08-08 12:28:21
pybabel
File
953 B
0755
2021-05-01 15:13:14
pybabel-python3
File
953 B
0755
2021-05-01 15:13:14
pydoc3
File
79 B
0755
2026-01-26 14:55:28
pydoc3.10
File
79 B
0755
2026-01-26 14:55:28
pygettext3
File
23.67 KB
0755
2023-06-06 22:30:33
pygettext3.10
File
23.67 KB
0755
2023-06-06 22:30:33
pyserial-miniterm
File
975 B
0755
2022-04-03 09:33:57
pyserial-ports
File
969 B
0755
2022-04-03 09:33:57
python3
File
5.66 MB
0755
2026-01-26 14:55:28
python3.10
File
5.66 MB
0755
2026-01-26 14:55:28
rbash
File
1.33 MB
0755
2024-03-14 11:31:47
rcp
File
130.59 KB
0755
2025-04-11 12:05:47
rdma
File
98.52 KB
0755
2022-03-24 11:56:47
readlink
File
38.41 KB
0755
2024-02-08 03:46:39
realpath
File
38.41 KB
0755
2024-02-08 03:46:39
renice
File
14.38 KB
0755
2024-04-09 15:32:56
reset
File
26.31 KB
0755
2023-05-16 18:45:27
resizepart
File
22.38 KB
0755
2024-04-09 15:32:56
resolvectl
File
130.52 KB
0755
2025-08-26 15:23:06
rev
File
14.38 KB
0755
2024-04-09 15:32:56
rgrep
File
30 B
0755
2020-01-29 12:09:17
rlogin
File
827.04 KB
0755
2025-04-11 12:05:47
rm
File
58.51 KB
0755
2024-02-08 03:46:39
rmdir
File
42.41 KB
0755
2024-02-08 03:46:39
routef
File
208 B
0755
2022-03-24 11:56:47
routel
File
1.62 KB
0755
2022-03-24 11:56:47
rsh
File
827.04 KB
0755
2025-04-11 12:05:47
rtstat
File
22.66 KB
0755
2022-03-24 11:56:47
run-parts
File
26.54 KB
0755
2022-03-23 13:49:54
runcon
File
34.51 KB
0755
2024-02-08 03:46:39
rview
File
1.45 MB
0755
2025-04-02 12:39:01
savelog
File
10.24 KB
0755
2022-03-23 13:49:54
sbattach
File
26.54 KB
0755
2021-11-05 17:32:24
sbkeysync
File
34.74 KB
0755
2021-11-05 17:32:24
sbsiglist
File
14.6 KB
0755
2021-11-05 17:32:24
sbsign
File
34.7 KB
0755
2021-11-05 17:32:24
sbvarsign
File
22.73 KB
0755
2021-11-05 17:32:24
sbverify
File
34.61 KB
0755
2021-11-05 17:32:24
scp
File
130.59 KB
0755
2025-04-11 12:05:47
script
File
50.38 KB
0755
2024-04-09 15:32:56
scriptlive
File
42.38 KB
0755
2024-04-09 15:32:56
scriptreplay
File
34.38 KB
0755
2024-04-09 15:32:56
sdiff
File
46.39 KB
0755
2022-03-23 13:50:34
sed
File
110.57 KB
0755
2022-03-25 09:51:05
select-editor
File
2.39 KB
0755
2021-08-29 17:44:44
sensible-browser
File
1.26 KB
0755
2021-08-29 17:44:44
sensible-editor
File
1.24 KB
0755
2021-08-29 17:44:44
sensible-pager
File
565 B
0755
2021-08-29 17:44:44
seq
File
46.51 KB
0755
2024-02-08 03:46:39
setarch
File
26.65 KB
0755
2024-04-09 15:32:56
setpriv
File
38.38 KB
0755
2024-04-09 15:32:56
setsid
File
14.38 KB
0755
2024-04-09 15:32:56
setterm
File
34.38 KB
0755
2024-04-09 15:32:56
sftp
File
142.66 KB
0755
2025-04-11 12:05:47
sg
File
39.55 KB
4755
2024-02-06 12:54:23
sh
File
122.74 KB
0755
2022-03-23 13:49:23
sha1sum
File
42.41 KB
0755
2024-02-08 03:46:39
sha224sum
File
50.41 KB
0755
2024-02-08 03:46:39
sha256sum
File
50.41 KB
0755
2024-02-08 03:46:39
sha384sum
File
58.41 KB
0755
2024-02-08 03:46:39
sha512sum
File
58.41 KB
0755
2024-02-08 03:46:39
shred
File
50.51 KB
0755
2024-02-08 03:46:39
shuf
File
46.51 KB
0755
2024-02-08 03:46:39
skill
File
30.23 KB
0755
2023-10-31 11:36:04
slabtop
File
22.23 KB
0755
2023-10-31 11:36:04
sleep
File
34.51 KB
0755
2024-02-08 03:46:39
slogin
File
827.04 KB
0755
2025-04-11 12:05:47
snap
File
22.43 MB
0755
2026-06-29 12:01:19
snapctl
File
0 B
0
1970-01-01 00:00:00
snice
File
30.23 KB
0755
2023-10-31 11:36:04
sort
File
98.8 KB
0755
2024-02-08 03:46:39
splash-client
File
404 B
0755
2026-02-25 03:57:36
split
File
50.97 KB
0755
2024-02-08 03:46:39
sqfscat
File
131.9 KB
0755
2022-03-25 09:58:38
sqfstar
File
254.68 KB
0755
2022-03-25 09:58:38
ss
File
125.07 KB
0755
2022-03-24 11:56:47
ssh
File
827.04 KB
0755
2025-04-11 12:05:47
ssh-add
File
166.42 KB
0755
2025-04-11 12:05:47
ssh-agent
File
286.43 KB
2755
2025-04-11 12:05:47
ssh-argv0
File
1.42 KB
0755
2024-07-10 10:17:07
ssh-copy-id
File
12.38 KB
0755
2022-02-23 11:31:11
ssh-keygen
File
446.44 KB
0755
2025-04-11 12:05:47
ssh-keyscan
File
190.44 KB
0755
2025-04-11 12:05:47
stat
File
78.52 KB
0755
2024-02-08 03:46:39
stdbuf
File
42.51 KB
0755
2024-02-08 03:46:39
stty
File
74.51 KB
0755
2024-02-08 03:46:39
su
File
54.38 KB
4755
2024-04-09 15:32:56
sudo
File
226.97 KB
4755
2025-06-25 12:48:23
sudoedit
File
226.97 KB
4755
2025-06-25 12:48:23
sudoreplay
File
87.64 KB
0755
2025-06-25 12:48:23
sum
File
34.41 KB
0755
2024-02-08 03:46:39
sync
File
34.41 KB
0755
2024-02-08 03:46:39
systemctl
File
1.06 MB
0755
2025-08-26 15:23:06
systemd
File
1.55 MB
0755
2023-03-02 12:58:02
systemd-analyze
File
1.73 MB
0755
2025-08-26 15:23:06
systemd-ask-password
File
18.48 KB
0755
2025-08-26 15:23:06
systemd-cat
File
18.38 KB
0755
2025-08-26 15:23:06
systemd-cgls
File
22.48 KB
0755
2025-08-26 15:23:06
systemd-cgtop
File
38.39 KB
0755
2025-08-26 15:23:06
systemd-cryptenroll
File
50.53 KB
0755
2025-08-26 15:23:06
systemd-delta
File
26.37 KB
0755
2025-08-26 15:23:06
systemd-detect-virt
File
18.37 KB
0755
2025-08-26 15:23:06
systemd-escape
File
22.37 KB
0755
2025-08-26 15:23:06
systemd-hwdb
File
118.66 KB
0755
2025-08-26 15:23:06
systemd-id128
File
26.37 KB
0755
2025-08-26 15:23:06
systemd-inhibit
File
22.39 KB
0755
2025-08-26 15:23:06
systemd-machine-id-setup
File
18.48 KB
0755
2025-08-26 15:23:06
systemd-mount
File
50.59 KB
0755
2025-08-26 15:23:06
systemd-notify
File
22.38 KB
0755
2025-08-26 15:23:06
systemd-path
File
18.37 KB
0755
2025-08-26 15:23:06
systemd-run
File
62.57 KB
0755
2025-08-26 15:23:06
systemd-socket-activate
File
26.37 KB
0755
2025-08-26 15:23:06
systemd-stdio-bridge
File
22.38 KB
0755
2025-08-26 15:23:06
systemd-sysext
File
46.49 KB
0755
2025-08-26 15:23:06
systemd-sysusers
File
62.68 KB
0755
2025-08-26 15:23:06
systemd-tmpfiles
File
98.57 KB
0755
2025-08-26 15:23:06
systemd-tty-ask-password-agent
File
34.37 KB
0755
2025-08-26 15:23:06
systemd-umount
File
50.59 KB
0755
2025-08-26 15:23:06
tabs
File
18.3 KB
0755
2023-05-16 18:45:27
tac
File
98.41 KB
0755
2024-02-08 03:46:39
tail
File
66.52 KB
0755
2024-02-08 03:46:39
tar
File
505.81 KB
0755
2023-12-05 05:15:51
taskset
File
22.38 KB
0755
2024-04-09 15:32:56
tee
File
34.51 KB
0755
2024-02-08 03:46:39
tempfile
File
14.02 KB
0755
2022-03-23 13:49:54
test
File
42.44 KB
0755
2024-02-08 03:46:39
tic
File
86.41 KB
0755
2023-05-16 18:45:27
timedatectl
File
815 B
0755
2026-02-25 04:01:08
timedatectl.real
File
46.37 KB
0755
2025-08-26 15:23:06
timeout
File
38.95 KB
0755
2024-02-08 03:46:39
tload
File
18.24 KB
0755
2023-10-31 11:36:04
toe
File
22.3 KB
0755
2023-05-16 18:45:27
top
File
130.06 KB
0755
2023-10-31 11:36:04
touch
File
90.51 KB
0755
2024-02-08 03:46:39
tput
File
26.34 KB
0755
2023-05-16 18:45:27
tr
File
46.51 KB
0755
2024-02-08 03:46:39
true
File
26.3 KB
0755
2024-02-08 03:46:39
truncate
File
34.51 KB
0755
2024-02-08 03:46:39
tset
File
26.31 KB
0755
2023-05-16 18:45:27
tsort
File
46.51 KB
0755
2024-02-08 03:46:39
tty
File
30.51 KB
0755
2024-02-08 03:46:39
tzselect
File
15.02 KB
0755
2026-01-30 08:20:56
ucf
File
40.9 KB
0755
2020-06-16 05:37:53
ucfq
File
18.91 KB
0755
2020-06-16 05:37:53
ucfr
File
10.47 KB
0755
2020-06-16 05:37:53
uclampset
File
26.38 KB
0755
2024-04-09 15:32:56
udevadm
File
1.08 MB
0755
2025-08-26 15:23:06
umount
File
34.38 KB
4755
2024-04-09 15:32:56
uname
File
34.51 KB
0755
2024-02-08 03:46:39
uncompress
File
2.29 KB
0755
2022-09-05 13:33:59
unexpand
File
34.53 KB
0755
2024-02-08 03:46:39
uniq
File
42.51 KB
0755
2024-02-08 03:46:39
unlink
File
30.51 KB
0755
2024-02-08 03:46:39
unshare
File
30.6 KB
0755
2024-04-09 15:32:56
unsquashfs
File
131.9 KB
0755
2022-03-25 09:58:38
update-alternatives
File
58.24 KB
0755
2025-09-09 20:09:16
uptime
File
14.23 KB
0755
2023-10-31 11:36:04
users
File
34.51 KB
0755
2024-02-08 03:46:39
utmpdump
File
22.38 KB
0755
2024-04-09 15:32:56
vcs-run
File
6.75 KB
0755
2021-08-05 09:58:37
vdir
File
134.98 KB
0755
2024-02-08 03:46:39
vi
File
1.45 MB
0755
2025-04-02 12:39:01
view
File
1.45 MB
0755
2025-04-02 12:39:01
vim.tiny
File
1.45 MB
0755
2025-04-02 12:39:01
vmstat
File
38.24 KB
0755
2023-10-31 11:36:04
w
File
22.23 KB
0755
2023-10-31 11:36:04
wall
File
22.38 KB
0755
2024-04-09 15:32:56
watch
File
26.6 KB
0755
2023-10-31 11:36:04
wc
File
42.42 KB
0755
2024-02-08 03:46:39
wdctl
File
30.4 KB
0755
2024-04-09 15:32:56
whereis
File
30.84 KB
0755
2024-04-09 15:32:56
which
File
946 B
0755
2022-03-23 13:49:54
which.debianutils
File
946 B
0755
2022-03-23 13:49:54
who
File
50.52 KB
0755
2024-02-08 03:46:39
whoami
File
30.51 KB
0755
2024-02-08 03:46:39
wpa_passphrase
File
14.31 KB
0755
2025-07-21 23:13:31
x86_64
File
26.65 KB
0755
2024-04-09 15:32:56
xargs
File
62.41 KB
0755
2022-03-23 13:52:12
xdg-open
File
38 B
0755
2026-02-25 04:01:19
xdg-settings
File
1.68 KB
0755
2026-02-25 04:01:19
xxd
File
18.28 KB
0755
2025-04-02 12:39:01
yes
File
30.38 KB
0755
2024-02-08 03:46:39
ypdomainname
File
22.23 KB
0755
2022-03-23 13:57:59
zcat
File
1.94 KB
0755
2022-09-05 13:33:59
zcmp
File
1.64 KB
0755
2022-09-05 13:33:59
zdiff
File
5.76 KB
0755
2022-09-05 13:33:59
zdump
File
26.21 KB
0755
2026-01-30 08:20:56
zegrep
File
29 B
0755
2022-09-05 13:33:59
zfgrep
File
29 B
0755
2022-09-05 13:33:59
zforce
File
2.03 KB
0755
2022-09-05 13:33:59
zgrep
File
7.91 KB
0755
2022-09-05 13:33:59
zless
File
2.15 KB
0755
2022-09-05 13:33:59
zmore
File
1.8 KB
0755
2022-09-05 13:33:59
znew
File
4.47 KB
0755
2022-09-05 13:33:59
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: ucfr
#!/bin/sh # -*- Mode: Sh -*- # ucfr --- # Author : Manoj Srivastava ( srivasta@glaurung.internal.golden-gryphon.com ) # Created On : Tue Apr 11 11:09:15 2006 # Created On Node : glaurung.internal.golden-gryphon.com # Last Modified By : Manoj Srivastava # Last Modified On : Tue Apr 11 13:50:58 2006 # Last Machine Used: glaurung.internal.golden-gryphon.com # Update Count : 43 # Status : Unknown, Use with caution! # HISTORY : # Description : # # Register a configuration file as belonging to a package # # arch-tag: 6e1d33fe-a930-41ce-8d0f-c87f87b19918 # # make sure we exit on error set -e # set the version and revision progname=$(basename "$0") pversion='Revision 3.00' ###################################################################### ######## ######### ######## Utility functions ######### ######## ######### ###################################################################### setq() { # Variable Value Doc_string if [ "x$2" = "x" ]; then echo >&2 "$progname: Unable to determine $3" exit 1; else if [ "x$VERBOSE" != "x" ]; then echo >&2 "$progname: $3 is $2"; fi eval "$1=\"\$2\""; fi } withecho () { echo "$@" >&2 "$@" } purge_from_registry () { if [ ! -e "$statedir/registry" ]; then echo >&2 "$progname: Internal error: $statedir/registry does not exist"; exit 6; fi if [ "$count" -eq 0 ]; then if [ "X$VERBOSE" != "X" ]; then echo >&2 "$progname: Association already purged. No changes."; fi exit 0; fi old_pkg=$(egrep "[[:space:]]${real_conf_file_re}$" "$statedir/registry" | \ awk '{print $1;}' ); if [ "$pkg" != "$old_pkg" ]; then echo >&2 "ucfr: Association belongs to $old_pkg, not $pkg"; if [ "X$FORCE" = "X" ]; then echo >&2 "ucfr: Aborting"; exit 5; fi fi # OK, so we have something to purge. for i in $(/usr/bin/seq 6 -1 0); do if [ -e "${statedir}/registry.${i}" ]; then if [ "X$docmd" = "XYES" ]; then cp -f "${statedir}/registry.${i}" "${statedir}/registry.$(($i + 1))" else echo cp -f "${statedir}/registry.${i}" "${statedir}/registry.$(($i + 1))" fi fi done if [ "X$docmd" = "XYES" ]; then cp -f "$statedir/registry" "$statedir/registry.0" else echo cp -f "$statedir/registry" "$statedir/registry.0" fi if [ "X$docmd" = "XYES" ]; then set +e if [ "X$VERBOSE" != "X" ]; then echo "egrep -v [[:space:]]${real_conf_file_re}$ $statedir/registry >\\" echo " $statedir/registry.tmp || true"; fi #echo "egrep -v [[:space:]]${real_conf_file_re}$ $statedir/registry" egrep -v "[[:space:]]${real_conf_file_re}$" "$statedir/registry" > \ "$statedir/registry.tmp" || true; if [ "X$docmd" = "XYES" ]; then mv -f "$statedir/registry.tmp" "$statedir/registry" else echo mv -f "$statedir/registry.tmp" "$statedir/registry" fi set -e fi } replace_in_registry () { if [ ! -e "$statedir/registry" ]; then echo >&2 "$progname: Internal error: $statedir/registry does not exist"; exit 6; fi if [ "$count" -eq 1 ]; then old_pkg=$(egrep "[[:space:]]${real_conf_file_re}$" "$statedir/registry" | \ awk '{print $1;}' ); if [ "$pkg" != "$old_pkg" ]; then if [ "X$FORCE" = "X" ]; then echo >&2 "$progname: Attempt from package $pkg to take ${real_conf_file} away from package $old_pkg"; echo >&2 "ucfr: Aborting."; exit 4; fi else if [ "X$VERBOSE" != "X" ]; then echo >&2 "$progname: Association already recorded. No changes."; fi exit 0; fi fi for i in $(/usr/bin/seq 6 -1 0); do if [ -e "${statedir}/registry.${i}" ]; then if [ "X$docmd" = "XYES" ]; then cp -f "${statedir}/registry.${i}" \ "${statedir}/registry.$(($i + 1))" else echo cp -f "${statedir}/registry.${i}" \ "${statedir}/registry.$(($i + 1))" fi fi done if [ "X$docmd" = "XYES" ]; then cp -f "$statedir/registry" "$statedir/registry.0" else echo cp -f "$statedir/registry" "$statedir/registry.0" fi if [ "X$docmd" = "XYES" ]; then set +e if [ "X$VERBOSE" != "X" ]; then echo "egrep -v \"[[:space:]]${real_conf_file_re}$\" \"$statedir/registry\" \\" echo " $statedir/registry.tmp || true" echo "echo \"$pkg $real_conf_file\" >> \"$statedir/registry.tmp\"" echo "mv -f $statedir/registry.tmp $statedir/registry" fi egrep -v "[[:space:]]${real_conf_file_re}$" "$statedir/registry" > \ "$statedir/registry.tmp" || true; echo "$pkg $real_conf_file" >> "$statedir/registry.tmp"; mv -f "$statedir/registry.tmp" "$statedir/registry" set -e else echo "egrep -v \"[[:space:]]${real_conf_file_re}$\" \"$statedir/registry\" \\" echo " $statedir/registry.tmp || true" echo "echo \"$pkg $real_conf_file\" >> \"$statedir/registry.tmp\"" echo "mv -f $statedir/registry.tmp $statedir/registry" fi } usageversion () { cat >&2 <<END Debian GNU/Linux $progname $pversion. Copyright (C) 2002-2006 Manoj Srivastava. This is free software; see the GNU General Public Licence for copying conditions. There is NO warranty. Usage: $progname [options] package_name path_for_configuration_file Options: -h, --help print this message -f --force Force the association, even if another package used to own the configuration file. -d [n], --debug [n] Set the Debug level to N -n, --no-action Dry run. No action is actually taken. -v, --verbose Make the script verbose -p, --purge Remove any reference to the package/file association from the records --state-dir bar Set the state directory to bar instead of the default '/var/lib/ucf'. Used mostly for testing. END } ###################################################################### ######## ######### ######## Command line args ######### ######## ######### ###################################################################### # # Long term variables# # docmd='YES' action='withecho' action= DEBUG=0 VERBOSE='' statedir='/var/lib/ucf'; THREEWAY= # Note that we use `"$@"' to let each command-line parameter expand to a # separate word. The quotes around `$@' are essential! # We need TEMP as the `eval set --' would nuke the return value of getopt. TEMP=$(getopt -a -o hd::D::fnvp -n "$progname" \ --long help,debug::,DEBUG::,force,no-action,purge,verbose,state-dir: \ -- "$@") if [ $? != 0 ] ; then echo "Error handling options.Terminating..." >&2 ; exit 1 ; fi # Note the quotes around `$TEMP': they are essential! eval set -- "$TEMP" while true ; do case "$1" in -h|--help) usageversion; exit 0 ;; -n|--no-action) action='echo'; docmd='NO'; shift ;; -v|--verbose) VERBOSE=1; shift ;; -f|--force) FORCE=1; shift ;; --state-dir) opt_state_dir="$2"; shift 2 ;; -D|-d|--debug|--DEBUG) # d has an optional argument. As we are in quoted mode, # an empty parameter will be generated if its optional # argument is not found. case "$2" in "") setq DEBUG 1 "The Debug value"; shift 2 ;; *) setq DEBUG "$2" "The Debug value"; shift 2 ;; esac ;; -p|--purge) PURGE=YES; shift ;; --) shift ; break ;; *) echo >&2 "$progname: Internal error!" ; exit 1 ;; esac done # Need to run as root, or else the if test "$(id -u)" != 0; then if [ "$docmd" = "YES" ]; then echo "$progname: Need to be run as root." >&2 echo "$progname: Setting up no action mode." >&2 action='echo'; docmd='NO'; fi fi if [ $# != 2 ]; then echo >&2 "$progname: *** ERROR: Need exactly two arguments, got $#"; echo >&2 "" usageversion; exit 3 ; fi # We have here a configuration file, which can be a symlink, and may # contain characters that are unsafe in regular expressions setq pkg "$1" "The Package name"; setq conf_file "$2" "The Configuration file"; setq real_conf_file "$(readlink -q -m $conf_file)" "The (real) Configuration file"; pkg_re="$(echo $pkg | sed -e 's,+,\\+,')" conf_file_re="$(echo $conf_file | sed -e 's,+,\\+,')" real_conf_file_re="$(echo $real_conf_file | sed -e 's,+,\\+,')" case $conf_file_re in /*) : echo fine ;; *) echo >&2 "$progname: Need a fully qualified path for the file \"$conf_file\"" # Don't exit with an error for etch' exit 0; esac # Load site defaults and over rides. if [ -f /etc/ucf.conf ]; then . /etc/ucf.conf fi # Command line, env variable, config file, or default if [ ! "x$opt_state_dir" = "x" ]; then setq statedir "$opt_state_dir" "The State directory" elif [ ! "x$UCF_STATE_DIR" = "x" ]; then setq statedir "$UCF_STATE_DIR" "The State directory" elif [ ! "x$conf_state_dir" = "x" ]; then setq statedir "$conf_state_dir" "The State directory" else setq statedir '/var/lib/ucf' "The State directory" fi # VERBOSE of 0 is supposed to be the same as not setting VERBOSE if [ "X$VERBOSE" = "X0" ]; then VERBOSE='' fi # if [ -e "$statedir/registry" -a ! -w "$statedir/registry" ]; then echo >&2 "$progname: do not have write privilege to the registry data" if [ "X$docmd" = "XYES" ]; then exit 1; fi fi # test and see if this file exists in the database if [ ! -d "$statedir" ]; then $action mkdir -p "$statedir" fi if [ ! -f "$statedir/registry" ]; then $action touch "$statedir/registry" fi if [ "X$VERBOSE" != "X" ]; then echo >&2 "$progname: The registry exists" fi # sanity check count=$(egrep --count "[[:space:]]${real_conf_file_re}$" "$statedir/registry") || true if [ "$count" -ge 2 ]; then echo >&2 "$progname: Corrupt registry: Duplicate entries for ${conf_file}"; egrep "[[:space:]]${real_conf_file_re}$" "$statedir/registry"; exit "$count"; fi if [ "X$PURGE" != "X" ]; then $action purge_from_registry else $action replace_in_registry fi exit 0;
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED